## org.apache.batik.anim.values
Class AnimatableNumberOptionalNumberValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableNumberOptionalNumberValue

    public class AnimatableNumberOptionalNumberValue

extends AnimatableValue

A number-optional-number value in the animation system.

Field Summary
`protected boolean` `hasOptionalNumber` Whether the optional number is present.
`protected float` `number` The first number.
`protected float` `optionalNumber` The optional number.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` `AnimatableNumberOptionalNumberValue(AnimationTarget target)` Creates a new, uninitialized AnimatableNumberOptionalNumberValue.
`` `AnimatableNumberOptionalNumberValue(AnimationTarget target, float n)` Creates a new AnimatableNumberOptionalNumberValue with one number.
`` `AnimatableNumberOptionalNumberValue(AnimationTarget target, float n, float on)` Creates a new AnimatableNumberOptionalNumberValue with two numbers.

Method Summary
`boolean` `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`java.lang.String` `getCssText()` Returns the CSS text representation of the value.
`float` `getNumber()` Returns the first number.
`float` `getOptionalNumber()` Returns the optional number.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`boolean` `hasOptionalNumber()` Returns whether the optional number is present.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, hasChanged, toString, toStringRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### number

    protected float number

  The first number.

### hasOptionalNumber

    protected boolean hasOptionalNumber

  Whether the optional number is present.

### optionalNumber

    protected float optionalNumber

  The optional number.

Constructor Detail

### AnimatableNumberOptionalNumberValue

    protected AnimatableNumberOptionalNumberValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableNumberOptionalNumberValue.

### AnimatableNumberOptionalNumberValue

    public AnimatableNumberOptionalNumberValue(AnimationTarget target,
                                               float n)

  Creates a new AnimatableNumberOptionalNumberValue with one number.

### AnimatableNumberOptionalNumberValue

    public AnimatableNumberOptionalNumberValue(AnimationTarget target,
                                               float n,
                                               float on)

  Creates a new AnimatableNumberOptionalNumberValue with two numbers.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value. Number-optional-number values cannot be interpolated.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getNumber

    public float getNumber()

  Returns the first number.

### hasOptionalNumber

    public boolean hasOptionalNumber()

  Returns whether the optional number is present.

### getOptionalNumber

    public float getOptionalNumber()

  Returns the optional number.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### getCssText

    public java.lang.String getCssText()

  Returns the CSS text representation of the value.

  Overrides:
    `getCssText` in class `AnimatableValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.